## owncloud 5.0.7+dfsg

=== debian/changelog ===
owncloud (5.0.7+dfsg-2ubuntu1~ubuntu13.04) raring-proposed; urgency=low

  * Raring update from saucy LP: #1079150
  * Remove depends on owncloud-doc
  * Use bundled pdfjs, timepicker, fontawesome, php-aws-sdk, php-sabre-dav, php-sabre-vobject, php-seclib

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jul 2013 13:35:52 +0100

owncloud (5.0.7+dfsg-2ubuntu1) saucy; urgency=low

  * Merge with Debian experimental, remaining changes:
   - owncloud-mysql recommends rather than suggests
     mysql-server

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jul 2013 13:12:04 +0100

owncloud (5.0.7+dfsg-2) experimental; urgency=low

  * Team upload

  [ Prach Pongpanich ]
  * Add missing dependency on php5-json
  * Update for Apache 2.4 transition (Closes: #711894)

  [ David Prévot ]
  * Force version 1.7 of php-sabre-dav
  * Add back experimental PostgreSQL support (Closes: #679028)

 -- David Prévot <taffit@debian.org>  Mon, 24 Jun 2013 18:01:56 -0400

owncloud (5.0.7+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
    + Fix multiple XSS vulnerabilities (oC-SA-2013-028):
      - CVE-2013-2149: in core/js/oc-dialogs.js (Closes: #711517)
      - CVE-2013-2150: in js/viewer.js (Closes: #711518)

 -- David Prévot <taffit@debian.org>  Fri, 07 Jun 2013 11:56:17 -0400

owncloud (5.0.7~rc1+dfsg-2) experimental; urgency=low

  * Team upload
  * debian/patches/fix_crypt_blowfish.diff: Adapt Crypt_Blowfish path

 -- David Prévot <taffit@debian.org>  Tue, 04 Jun 2013 11:35:20 -0400

owncloud (5.0.7~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release, including files_encryption
  * debian/repack.sh: Adapt to 3rdparty/Crypt_Blowfish new path
  * debian/{copyright,rules}: Adapt to files_encryption come back
  * debian/patch: Refresh

 -- David Prévot <taffit@debian.org>  Mon, 03 Jun 2013 15:22:57 -0400

owncloud (5.0.6+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * debian/patch: Drop fix upgrade to 5.0.6 RC2, included upstream

 -- David Prévot <taffit@debian.org>  Tue, 14 May 2013 10:57:41 -0400

owncloud (5.0.6~rc2+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Depend on libjs-jquery-timepicker (Closes: #693887)
  * debian/patch: Fix upgrade to 5.0.6 RC2

 -- David Prévot <taffit@debian.org>  Mon, 13 May 2013 12:19:56 -0400

owncloud (5.0.6~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * debian/control:
    - Depend on fonts-font-awesome, libjs-pdf, owncloud-doc, php-aws-sdk, and
      php-seclib
    - Drop now useless depend on ca-certificates, libjs-sphinxdoc,
      libjs-twitter-bootstrap, and libjs-underscore
  * debian/owncloud.install, debian/owncloud.links, debian/patches,
    debian/postinst, debian/rules: Adapt to updated dependencies

 -- David Prévot <taffit@debian.org>  Mon, 06 May 2013 21:45:34 -0400

owncloud (5.0.5~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * Adapt upcoming owncloud-doc improvements
  * debian/control: 
    - Bump Standards-Version to 3.9.4
    - Drop now useless DMUA
    - Suggest libapache2-mod-xsendfile
  * debian/patches/01_fix_data_path.diff: Fix more path occurrences
  * debian/rules:
    - Keep core/doc/*/_sources, actually used by the search
    - dh_link removes existing files
  * debian/watch: Make all latest versions available

 -- David Prévot <taffit@debian.org>  Wed, 17 Apr 2013 21:25:59 -0400

owncloud (5.0.4+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release

 -- David Prévot <taffit@debian.org>  Wed, 10 Apr 2013 16:05:29 -0400

owncloud (5.0.4~rc1+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release candidate
  * debian/control:
    - Depends on ca-certificates
    - Use canonical Vcs- fields
  * debian/copyright: Update 3rdparty/aws-sdk and BSD-3-clause-SabreDAV
  * debian/owncloud.links: Use local CA certificates instead of embedded ones
  * debian/patches/: Refresh patches
  * debian/rules: Add a get-orig-source target

 -- David Prévot <taffit@debian.org>  Wed, 10 Apr 2013 10:13:17 -0400

owncloud (5.0.3+dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release (closes: #691839)

  [ David Prévot ]
  * debian/watch: Update to current upstream URL and Debian version
  * debian/control:
    - Add php-services-json and liboauth-php to Recommends for Dropbox-php
    - Add clamav or clamav-daemon to Recommends for Owncloud Antivirus App
    - Add zendframework to Recommends for Full Text Search
    - Add php5-ldap to Recommends for user_ldap
    - Add mediawiki to Depends, instead of shipping duplicated code
    - Add libjs-underscore to Depends, instead of shipping duplicated code
    - Update dependency to php-sabre-dav and php-sabre-vobject, instead of
      php-sabredav
  * debian/copyright: Document the new and updated licenses
  * debian/rules:
    - Trim duplicated and useless files from the package
    - Minify JavaScript and keep their source
    - Remove the Updater app since upgrade must be made via the package
  * debian/repack.sh:
    - Remove incompatible docs from Font Awesome
    - Remove incompatible PDF from pdfjs
    - Remove sourceless JavaScript
    - Adapt to updated JQuery UI version
  * debian/patches/:
    - Refresh existing patches
    - Drop unneeded patches
    - fix_mediawiki.diff: Adapt path to mediawi’s classes
    - fix_upgrade.diff: Fix upgrade issue from 4.0.8
    - fix_displayed_version.diff: Fix displayed version
  * debian/owncloud.links:
    - Link to Zend Framework instead of embedding a partial copy
    - Adapt to updated JQuery UI version
    - Adapt to libjs-underscore
  * debian/owncloud.install: Update 3dparty list
  * Add back experimental feature files_external
  * debian/owncloud.README.Debian: Update and provide upgrade advices
  * debian/owncloud.NEWS: Point to README for upgrade

 -- David Prévot <taffit@debian.org>  Sat, 06 Apr 2013 10:37:28 -0400
