=== debian/control ===
Source: owncloud
Section: web
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
           Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 8.0.0), yui-compressor
Standards-Version: 3.9.4
Homepage: http://owncloud.org
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/owncloud.git

Package: owncloud
Architecture: all
Depends: apache2 | httpd,
         libjs-jquery (>= 1.7.2-1),
         libjs-jquery-jplayer,
         libjs-jquery-ui,
         libphp-phpmailer,
         mediawiki (>= 1:1.19),
         owncloud-mysql (= ${source:Version}) | owncloud-pgsql (= ${source:Version}) | owncloud-sqlite (= ${source:Version}),
         php-crypt-blowfish,
         php-getid3 (>= 1.9.3-1),
         php-mdb2,
         php-mdb2-schema,
         php-pear,
         php-xml-parser,
         php5,
         php5-curl,
         php5-gd,
         php5-json,
         ${misc:Depends}
Recommends: clamav | clamav-daemon,
            exim4 | mail-transport-agent,
            liboauth-php,
            php-services-json,
            php5-ldap,
            zendframework
Suggests: libapache2-mod-xsendfile
Description: cloud storage for files, music, contacts, calendars and many more
 ownCloud gives you universal access to your files through a web interface
 or WebDAV.  It also provides a platform to easily view & sync your
 contacts, calendars and bookmarks across all your devices and enables
 basic editing right on the web.

Package: owncloud-mysql
Architecture: all
Depends: mysql-client | virtual-mysql-client,
         php-mdb2-driver-mysql,
         ${misc:Depends}
Recommends: mysql-server
Description: meta-package providing MySQL dependencies for ownCloud
 This package provides MySQL dependencies for ownCloud, a cloud storage
 application for files, music, contacts, calendars and many more.
 .
 Install this package if you wan to use a MySQL database with ownCloud.

Package: owncloud-pgsql
Architecture: all
Depends: php-mdb2-driver-pgsql,
 postgresql-client, ${misc:Depends}
Suggests: postgresql
Description: meta-package providing PostgreSQL dependencies for ownCloud
 This package provides PostgreSQL dependencies for ownCloud, a cloud
 storage application for files, music, contacts, calendars and many more.
 .
 Install this package if you wan to use a PostgreSQL database with ownCloud.

Package: owncloud-sqlite
Architecture: all
Depends: php-mdb2, php-pear, php5-sqlite, ${misc:Depends}
Description: meta-package providing SQLite dependencies for ownCloud
 This package provides SQLite dependencies for ownCloud, a cloud storage
 application for files, music, contacts, calendars and many more.
 .
 Install this package if you wan to use a SQLite database with ownCloud.
