=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')

%:
	dh $@

override_dh_install:
	dh_install

	# Remove redundant license files as it is already captured in debian/copyright.
	rm debian/owncloud/usr/share/owncloud/3rdparty/Dropbox/LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/Google/LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/LICENSE.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/miniColors/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/COPYING
	rm debian/owncloud/usr/share/owncloud/3rdparty/symfony/routing/Symfony/Component/Routing/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/Google\ Android\ License.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/updater/COPYING-AGPL
	rm debian/owncloud/usr/share/owncloud/core/js/LICENSE.jquery.inview
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.inview.txt
	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License

	# Remove other stuff
	rm debian/owncloud/usr/share/owncloud/3rdparty/Dropbox/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/fontawesome/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/VERSION
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/AUTHORS
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/Changelog
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/README
	rm debian/owncloud/usr/share/owncloud/3rdparty/symfony/routing/Symfony/Component/Routing/README.md
	rm debian/owncloud/usr/share/owncloud/apps/contacts/Changelog
	rm debian/owncloud/usr/share/owncloud/apps/files_antivirus/README.md
	rm debian/owncloud/usr/share/owncloud/apps/files_encryption/appinfo/spec.txt
	rm debian/owncloud/usr/share/owncloud/apps/updater/README
	rm debian/owncloud/usr/share/owncloud/core/img/filetypes/readme*.txt
	rm debian/owncloud/usr/share/owncloud/core/js/oc-vcategories.txt
	rmdir debian/owncloud/usr/share/owncloud/apps/files_encryption/3rdparty
	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests

	# Remove unused scripts and sources.
	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
	rm debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
	rm -r debian/owncloud/usr/share/owncloud/apps/files_odfviewer/src
	rm -r debian/owncloud/usr/share/owncloud/apps/files_videoviewer/mediaelement
	rm -r debian/owncloud/usr/share/owncloud/l10n

	# Minify JavaScript files.
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
	rm debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.proto.min.js
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/3rdparty/miniColors/js/jquery.miniColors.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
	rm debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js

	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/timepicker/js/jquery.ui.timepicker.js -o debian/owncloud/usr/share/owncloud/3rdparty/timepicker/js/jquery.ui.timepicker.min.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.js -o debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.jquery.min.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.proto.js -o debian/owncloud/usr/share/owncloud/3rdparty/js/chosen/chosen.proto.min.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.js -o debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.min.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/3rdparty/miniColors/js/jquery.miniColors.js -o debian/owncloud/usr/share/owncloud/3rdparty/miniColors/js/jquery.miniColors.min.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.js -o debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.min.js
	yui-compressor --type js apps/contacts/js/jquery.onfontresize.js \
		-o debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js && \
		yui-compressor --type js apps/contacts/js/placeholder_polyfill.jquery.js >> \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.js -o debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.fancybox-1.3.4.pack.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.js -o debian/owncloud/usr/share/owncloud/apps/files_imageviewer/js/jquery.mousewheel-3.0.4.pack.js
	yui-compressor --type js debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js -o debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
	yui-compressor --type js apps/files_videoviewer/js/mediaelement-and-player.js -o debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js

	# Move the MDB2 Sqlite driver to owncloud-sqlite.
	mv debian/owncloud/usr/share/owncloud/lib/MDB2 debian/owncloud-sqlite/usr/share/php # php-mdb2-driver-sqlite (not yet)

	# Clean up apps to link external third parties.
	rm -r debian/owncloud/usr/share/owncloud/apps/media/js/jQuery.jPlayer.2.2.0.source
	rm -r debian/owncloud/usr/share/owncloud/apps/search_lucene/3rdparty/Zend
	#rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/images
	#rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/locale

	# Remove the Updater app since upgrade must be made via the package
	rm -r debian/owncloud/usr/share/owncloud/apps/updater

	# Remove the doc, shipped in owncloud-doc
	rm -r debian/owncloud/usr/share/owncloud/core/doc

	# Remove third party provided by external package 
	#rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty

	# Fix displayed version
	sed -i "s/@VERSION@/$(VERSION) (Debian)/" \
		debian/owncloud/usr/share/owncloud/settings/templates/admin.php \
		debian/owncloud/usr/share/owncloud/settings/templates/personal.php

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud
	chown www-data:www-data debian/owncloud/etc/owncloud/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/data/
	chmod 2770 debian/owncloud/var/lib/owncloud/data/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/backup/
	chmod 2770 debian/owncloud/var/lib/owncloud/backup/
	chmod 0644 debian/owncloud/var/lib/owncloud/themes/README

get-orig-source:
	uscan --force --verbose
