## owncloud 5.0.10+dfsg

=== debian/changelog ===
owncloud (5.0.10+dfsg-1ubuntu1) saucy; urgency=low

  * Sync with Debian. Remaining change:
    - Have owncloud-mysql and owncloud-pgsql recommend rather than suggest
      their database servers

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 01 Sep 2013 13:20:24 -0400

owncloud (5.0.10+dfsg-1) unstable; urgency=low

  * New upstream release:
    - Include embedded Patchwork UTF-8
    - Adapt to embedded iRODS PHP
  * Use upstream patched version of PostgreSQL backend (Closes: #717579)
  * Remove log files on purge (Closes: #717802)
  * Depend on libjs-chosen, libjs-jquery-fancybox, libjs-jquery-mousewheel,
    and php-symfony-routing instead of using embedded copies
  * Use uglifyjs instead of yui-compressor

 -- David Prévot <taffit@debian.org>  Sat, 31 Aug 2013 18:52:39 -0400

owncloud (5.0.9+dfsg-2) unstable; urgency=low

  * Release to unstable since 5.0.8 reached testing.

 -- David Prévot <taffit@debian.org>  Sun, 21 Jul 2013 10:34:48 -0400

owncloud (5.0.9+dfsg-1) experimental; urgency=low

  * New upstream release
  * Improve logfile handling (Closes: #715484):
    - Define default logfile in /var/log/owncloud.log
    - Existing logfile is moved to /var/log/owncloud.log in default setup
      (i.e. if it was in /var/lib/owncloud/data/owncloud.log)
  * Get rid of path patch
  * Add upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 15 Jul 2013 22:20:32 -0400

owncloud (5.0.8+dfsg-2) unstable; urgency=low

  * Release to unstable since the 4.0 branch is now EOL, and there are
    security issues.

 -- David Prévot <taffit@debian.org>  Wed, 10 Jul 2013 18:55:45 -0400

owncloud (5.0.8+dfsg-1) experimental; urgency=low

  * New upstream release:
    - Fix XSS vulnerability in “Share Interface” (oC-SA-2013-029)
    - Fix Authentication bypass in “user_webdavauth” (oC-SA-2013-030)
  * Update copyright:
    - Refresh to current version
    - Refer to Apache-2.0 from /usr/share/common-licenses
  * Remove optional files with uncertain licenses (Closes: #692627)
  * Remove unused tests directories
  * debian/control:
    - Add self to Uploaders
    - Force version 1 of php-aws-sdk
    - Depend on libjs-jquery-minicolors
    - Recommend curl, php5-intl and smbclient (Closes: #715282)

 -- David Prévot <taffit@debian.org>  Wed, 10 Jul 2013 13:15:07 -0400

owncloud (4.0.8debian-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "multiple vulnerabilities (oC-SA-2013-009, oC-SA-2013-010)":
    add patches taken from upstream git:
    + debian/patches/16_oc-sa-2013-010.patch
      CVE-2013-1851: user_migrate: Local file disclosure
      oC-SA-2013-010, commit edf7162 in stable4 branch
    + debian/patches/17_oc-sa-2013-009.patch
      CVE-2013-1850: Contacts: Bypass of file blacklist
      oC-SA-2013-009, commit fae5bd3 in stable4 branch
    (Closes: #703094)

 -- gregor herrmann <gregoa@debian.org>  Tue, 19 Mar 2013 17:05:08 +0100

owncloud (4.0.8debian-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Multiple security fixes (Closes: #701115): 
    + debian/patches/13_oc-sa-2013-003.patch:
      - CVE-2013-0297 and CVE-2013-0307: XSS vulnerability
    + debian/patches/14_oc-sa-2013-004.patch: 
      - CVE-2013-0299 and CVE-2013-0301: Multiple CSRF vulnerabilities
    + debian/patches/15_oc-sa-2013-006.patch:
      - CVE-2013-0303: Multiple code executions

 -- Prach Pongpanich <prachpub@gmail.com>  Wed, 27 Feb 2013 11:38:52 +0700

owncloud (4.0.8debian-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Add 12_oc-sa-2013-001.patch patch
    [SECURITY] CVE-2012-0201, CVE-2012-0202 and CVE-2012-0203: Fix multiple
    XSS vulnerabilities. (Closes: #698737)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Jan 2013 21:36:15 +0100

owncloud (4.0.8debian-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Multiple security fixes (Closes: #696574):
    + debian/patches/10_oc-sa-2012-006.patch:
      - CVE-2012-5665: Auth bypass in user_webdavauth and user_ldap
    + debian/patches/11_oc-sa-2012-007.patch:
      - CVE-2012-5666: XSS vulnerability in bookmarks

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 28 Dec 2012 20:20:56 +0100

owncloud (4.0.8debian-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/06_oc-sa-2012-001.patch: Include escapeHTML() function.

 -- Michael Banck <mbanck@debian.org>  Wed, 05 Dec 2012 21:31:39 +0100
