=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: owncloud
 Section: web
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
+           David Prévot <taffit@debian.org>,
            Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 8.0.0), yui-compressor
+Build-Depends: debhelper (>= 8.0.0), node-uglify
 Standards-Version: 3.9.4
 Homepage: http://owncloud.org
 Vcs-Git: git://anonscm.debian.org/pkg-owncloud/owncloud.git
@@ -14,17 +15,30 @@
 Package: owncloud
 Architecture: all
 Depends: apache2 | httpd,
+         fonts-font-awesome,
+         libjs-chosen,
          libjs-jquery (>= 1.7.2-1),
+         libjs-jquery-fancybox,
          libjs-jquery-jplayer,
+         libjs-jquery-minicolors (<< 2~),
+         libjs-jquery-mousewheel,
+         libjs-jquery-timepicker,
          libjs-jquery-ui,
+         libjs-pdf,
          libphp-phpmailer,
          mediawiki (>= 1:1.19),
+         owncloud-doc,
          owncloud-mysql (= ${source:Version}) | owncloud-pgsql (= ${source:Version}) | owncloud-sqlite (= ${source:Version}),
+         php-aws-sdk (<< 2~),
          php-crypt-blowfish,
          php-getid3 (>= 1.9.3-1),
          php-mdb2,
          php-mdb2-schema,
          php-pear,
+         php-sabre-dav (<< 1.8~),
+         php-sabre-vobject,
+         php-seclib,
+         php-symfony-routing,
          php-xml-parser,
          php5,
          php5-curl,
@@ -32,10 +46,13 @@
          php5-json,
          ${misc:Depends}
 Recommends: clamav | clamav-daemon,
+            curl,
             exim4 | mail-transport-agent,
             liboauth-php,
             php-services-json,
+            php5-intl,
             php5-ldap,
+            smbclient,
             zendframework
 Suggests: libapache2-mod-xsendfile
 Description: cloud storage for files, music, contacts, calendars and many more
@@ -58,9 +75,10 @@
 
 Package: owncloud-pgsql
 Architecture: all
-Depends: php-mdb2-driver-pgsql,
- postgresql-client, ${misc:Depends}
-Suggests: postgresql
+Depends: postgresql-client, ${misc:Depends}
+Conflicts: php-mdb2-driver-pgsql
+Replaces: php-mdb2-driver-pgsql
+Recommends: postgresql
 Description: meta-package providing PostgreSQL dependencies for ownCloud
  This package provides PostgreSQL dependencies for ownCloud, a cloud
  storage application for files, music, contacts, calendars and many more.
