=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')

%:
	dh $@

override_dh_install:
	dh_install

	# Remove redundant license files as it is already captured in debian/copyright.
	rm debian/owncloud/usr/share/owncloud/3rdparty/Dropbox/LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/Google/LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/*-LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/COPYING
	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/src/LICENSE.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/Google\ Android\ License.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/LICENSE
	rm debian/owncloud/usr/share/owncloud/apps/updater/COPYING-AGPL
	rm debian/owncloud/usr/share/owncloud/core/js/LICENSE.jquery.inview
	rm debian/owncloud/usr/share/owncloud/core/js/jquery.inview.txt
	rm debian/owncloud/usr/share/owncloud/settings/img/log\ Icon\ License

	# Remove other useless documentation
	rm debian/owncloud/usr/share/owncloud/3rdparty/Dropbox/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/Patchwork/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/fontawesome/README.md
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/AUTHORS
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/Changelog
	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/README
	rm debian/owncloud/usr/share/owncloud/apps/contacts/Changelog
	rm debian/owncloud/usr/share/owncloud/apps/files_antivirus/README.md
	rm debian/owncloud/usr/share/owncloud/apps/files_encryption/appinfo/spec.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/doc_config.ini
	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/release_notes.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/release_notes.txt
	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/src/release_notes.txt
	rm debian/owncloud/usr/share/owncloud/apps/updater/README
	rm debian/owncloud/usr/share/owncloud/core/img/filetypes/readme*.txt
	rm debian/owncloud/usr/share/owncloud/core/js/oc-vcategories.txt

	# Remove unused scripts, tests and sources
	rm -r debian/owncloud/usr/share/owncloud/3rdparty/phpass/c
	rm debian/owncloud/usr/share/owncloud/3rdparty/phpass/test.php
	rm -r debian/owncloud/usr/share/owncloud/apps/bookmarks/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/calendar/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/utilities
	rm -r debian/owncloud/usr/share/owncloud/apps/files_odfviewer/src
	rm -r debian/owncloud/usr/share/owncloud/apps/files_videoviewer/mediaelement
	rm -r debian/owncloud/usr/share/owncloud/apps/media/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/user_external/tests
	rm -r debian/owncloud/usr/share/owncloud/apps/user_ldap/tests
	rm -r debian/owncloud/usr/share/owncloud/l10n

	# Minify JavaScript files.
	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.min.js
	rm debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	rm debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js
	rm debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js

	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.min.js \
		debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/js/fullcalendar.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.min.js \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.Jcrop.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/jquery.onfontresize.js \
		&& uglifyjs \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.js \
		>> \
		debian/owncloud/usr/share/owncloud/apps/contacts/js/placeholder_polyfill.jquery.min.combo.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf.js \
		debian/owncloud/usr/share/owncloud/apps/files_odfviewer/js/webodf-debug.js
	uglifyjs -o \
		debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.min.js \
		debian/owncloud/usr/share/owncloud/apps/files_videoviewer/js/mediaelement-and-player.js 

	# Move the MDB2 Sqlite driver to owncloud-sqlite.
	mv debian/owncloud/usr/share/owncloud/lib/MDB2 debian/owncloud-sqlite/usr/share/php # php-mdb2-driver-sqlite (not yet)

	# Clean up apps to link external third parties.
	rm -r debian/owncloud/usr/share/owncloud/apps/media/js/jQuery.jPlayer.2.2.0.source
	rm -r debian/owncloud/usr/share/owncloud/apps/search_lucene/3rdparty/Zend
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/images
	rm -r debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/locale

	# Remove the Updater app since upgrade must be made via the package
	rm -r debian/owncloud/usr/share/owncloud/apps/updater

	# Remove the doc, shipped in owncloud-doc
	rm -r debian/owncloud/usr/share/owncloud/core/doc

	# Remove third party provided by external package
	rmdir debian/owncloud/usr/share/owncloud/apps/files_encryption/3rdparty
	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/phpseclib
	rm -r debian/owncloud/usr/share/owncloud/apps/files_imageviewer/css
	rm -r debian/owncloud/usr/share/owncloud/apps/files_imageviewer/img

	# Fix displayed version
	sed -i "s/@VERSION@/$(VERSION) (Debian)/" \
		debian/owncloud/usr/share/owncloud/settings/templates/admin.php \
		debian/owncloud/usr/share/owncloud/settings/templates/personal.php

override_dh_fixperms:
	dh_fixperms -X var/lib/owncloud
	chown www-data:www-data debian/owncloud/etc/owncloud/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/data/
	chmod 2770 debian/owncloud/var/lib/owncloud/data/
	chown www-data:www-data debian/owncloud/var/lib/owncloud/backup/
	chmod 2770 debian/owncloud/var/lib/owncloud/backup/
	chmod 0644 debian/owncloud/var/lib/owncloud/themes/README

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

get-orig-source:
	uscan --force --verbose
