=== debian/watch ===
version=3
options="dversionmangle=s/\+dfsg[0-9]*//" \
  http://owncloud.org/changelog/ \
  http://download.owncloud.org/community/owncloud-(.*)\.tar\.bz2 \
  debian sh debian/repack.sh
