## owncloud 5.0.12+dfsg

=== debian/changelog ===
owncloud (5.0.12+dfsg-1ubuntu1~saucy1) saucy; urgency=low

  * Update to 5.0.12 LP: #1245593
  * Remove version on fonts-font-awesome depends
  * Don't use CSS provided by the latest fonts-font-awesome
  * Remove fix_google-api-php-client.diff and install
    google-api-php-client (not packaged in saucy)
    don't depend on external php-google-api-php-client

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Oct 2013 17:25:39 +0000

owncloud (5.0.12+dfsg-1ubuntu1) trusty; urgency=low

  * Sync with Debian. Remaining change:
    - Have owncloud-mysql and owncloud-pgsql recommend rather than suggest
      their database servers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Oct 2013 16:54:58 +0000

owncloud (5.0.12+dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.0.12+dfsg

 -- David Prévot <taffit@debian.org>  Fri, 04 Oct 2013 17:58:21 -0400

owncloud (5.0.12~rc1+dfsg-1) experimental; urgency=low

  * Imported Upstream version 5.0.12~rc1+dfsg (Closes: #721645)
  * Ship embedded libjs-jquery-ui copy (Closes: #718915)
  * Depend on php-google-api-php-client instead of using embedded copy
  * Fix path in last patches
  * Use CSS provided by the latest fonts-font-awesome

 -- David Prévot <taffit@debian.org>  Fri, 27 Sep 2013 19:01:36 -0400

owncloud (5.0.11+dfsg-1) unstable; urgency=low

  * Imported Upstream version 5.0.11+dfsg
  * Depend on php-patchwork-utf8 and php-irods-prods instead of using embedded
    copies (Closes: #722213)

 -- David Prévot <taffit@debian.org>  Mon, 09 Sep 2013 18:24:18 -0400

owncloud (5.0.11~rc2+dfsg-1) experimental; urgency=low

  * Imported Upstream version 5.0.11~rc2+dfsg
  * Adapt to embedded Google APIs Client Library
  * Use certificates from ca-certificates
  * Make occ script executable

 -- David Prévot <taffit@debian.org>  Wed, 04 Sep 2013 17:32:53 -0400
