=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: owncloud
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Mueller <thomas.mueller@tmit.eu>,
            David Prévot <taffit@debian.org>,
@@ -23,7 +23,6 @@
          libjs-jquery-minicolors (<< 2~),
          libjs-jquery-mousewheel,
          libjs-jquery-timepicker,
-         libjs-jquery-ui,
          libjs-pdf,
          libphp-phpmailer,
          mediawiki (>= 1:1.19),
@@ -32,8 +31,10 @@
          php-aws-sdk (<< 2~),
          php-crypt-blowfish,
          php-getid3 (>= 1.9.3-1),
+         php-irods-prods,
          php-mdb2,
          php-mdb2-schema,
+         php-patchwork-utf8,
          php-pear,
          php-sabre-dav (<< 1.8~),
          php-sabre-vobject,
@@ -50,6 +51,7 @@
             exim4 | mail-transport-agent,
             liboauth-php,
             php-services-json,
+            php5-cli,
             php5-intl,
             php5-ldap,
             smbclient,
