=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,8 @@
 	rm debian/owncloud/usr/share/owncloud/3rdparty/Google/LICENSE.txt
 	rm debian/owncloud/usr/share/owncloud/3rdparty/fullcalendar/*-LICENSE.txt
 	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/COPYING
-	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/LICENSE.txt
-	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/src/LICENSE.txt
 	rm debian/owncloud/usr/share/owncloud/apps/files_pdfviewer/3rdparty/pdfjs/LICENSE
 	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/css/DroidSansMono/Google\ Android\ License.txt
-	rm debian/owncloud/usr/share/owncloud/apps/files_texteditor/js/aceeditor/LICENSE
 	rm debian/owncloud/usr/share/owncloud/apps/updater/COPYING-AGPL
 	rm debian/owncloud/usr/share/owncloud/core/js/LICENSE.jquery.inview
 	rm debian/owncloud/usr/share/owncloud/core/js/jquery.inview.txt
@@ -29,18 +26,12 @@
 
 	# Remove other useless documentation
 	rm debian/owncloud/usr/share/owncloud/3rdparty/Dropbox/README.md
-	rm debian/owncloud/usr/share/owncloud/3rdparty/Patchwork/README.md
-	rm debian/owncloud/usr/share/owncloud/3rdparty/fontawesome/README.md
 	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/AUTHORS
 	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/Changelog
 	rm debian/owncloud/usr/share/owncloud/3rdparty/php-cloudfiles/README
 	rm debian/owncloud/usr/share/owncloud/apps/contacts/Changelog
 	rm debian/owncloud/usr/share/owncloud/apps/files_antivirus/README.md
 	rm debian/owncloud/usr/share/owncloud/apps/files_encryption/appinfo/spec.txt
-	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/doc_config.ini
-	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/release_notes.txt
-	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/release_notes.txt
-	rm debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/src/release_notes.txt
 	rm debian/owncloud/usr/share/owncloud/apps/updater/README
 	rm debian/owncloud/usr/share/owncloud/core/img/filetypes/readme*.txt
 	rm debian/owncloud/usr/share/owncloud/core/js/oc-vcategories.txt
@@ -52,7 +43,6 @@
 	rm -r debian/owncloud/usr/share/owncloud/apps/calendar/tests
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_encryption/tests
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/tests
-	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp/prods/utilities
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_odfviewer/src
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_videoviewer/mediaelement
 	rm -r debian/owncloud/usr/share/owncloud/apps/media/tests
@@ -104,6 +94,7 @@
 
 	# Remove third party provided by external package
 	rmdir debian/owncloud/usr/share/owncloud/apps/files_encryption/3rdparty
+	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/irodsphp
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_external/3rdparty/phpseclib
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_imageviewer/css
 	rm -r debian/owncloud/usr/share/owncloud/apps/files_imageviewer/img
@@ -121,6 +112,7 @@
 	chown www-data:www-data debian/owncloud/var/lib/owncloud/backup/
 	chmod 2770 debian/owncloud/var/lib/owncloud/backup/
 	chmod 0644 debian/owncloud/var/lib/owncloud/themes/README
+	chmod +x debian/owncloud/usr/share/owncloud/occ
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/debian/upstream-changelog
